#!/usr/bin/env node

'use strict';

var _slicedToArray = require('babel-runtime/helpers/sliced-to-array')['default'];

var _regeneratorRuntime = require('babel-runtime/regenerator')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _babel = require('babel');

var _babel2 = _interopRequireDefault(_babel);

var _babelFs = require('babel-fs');

var _babelFs2 = _interopRequireDefault(_babelFs);

var _co = require('co');

var _co2 = _interopRequireDefault(_co);

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _streamStream = require('stream-stream');

var _streamStream2 = _interopRequireDefault(_streamStream);

var _main = require('./main');

var _main2 = _interopRequireDefault(_main);

_commander2['default'].version('1.9.0').usage('wxdelta [-s] <oldFile> <newFile>').option('-s, --size [size]', 'the size to slice two files, default is 64k', 64).option('-c, --clean', 'clean up processing files, only keep the delta file').option('-1, --software [version]', 'the software version, default is 00000000', 0).option('-2, --hardware [version]', 'the hardware version, default is 00000000', 0).parse(process.argv);

var _program$args = _slicedToArray(_commander2['default'].args, 2);

var oldPath = _program$args[0];
var newPath = _program$args[1];

(0, _co2['default'])(_regeneratorRuntime.mark(function callee$0$0() {
  return _regeneratorRuntime.wrap(function callee$0$0$(context$1$0) {
    while (1) switch (context$1$0.prev = context$1$0.next) {
      case 0:
        context$1$0.next = 2;
        return (0, _main2['default'])({ oldPath: oldPath, newPath: newPath, diffPath: 'xdeltatotalheader.bin', size: _commander2['default'].size, hwVersion: _commander2['default'].software, swVersion: _commander2['default'].hardware });

      case 2:
        ;

      case 3:
      case 'end':
        return context$1$0.stop();
    }
  }, callee$0$0, this);
}));